Update a customer webhook endpoint
curl --request PATCH \
--url https://gmapscrawl.com/api/v1/webhook-endpoints/{id} \
--header 'API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"event_types": [],
"description": "<string>"
}
'import requests
url = "https://gmapscrawl.com/api/v1/webhook-endpoints/{id}"
payload = {
"url": "<string>",
"event_types": [],
"description": "<string>"
}
headers = {
"API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', event_types: [], description: '<string>'})
};
fetch('https://gmapscrawl.com/api/v1/webhook-endpoints/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {},
"request_id": "<string>",
"schema_version": "2026-09-22"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": [
"<string>"
],
"retryable": true
},
"request_id": "<string>",
"schema_version": "2026-09-22"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": [
"<string>"
],
"retryable": true
},
"request_id": "<string>",
"schema_version": "2026-09-22"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": [
"<string>"
],
"retryable": true
},
"request_id": "<string>",
"schema_version": "2026-09-22"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": [
"<string>"
],
"retryable": true
},
"request_id": "<string>",
"schema_version": "2026-09-22"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": [
"<string>"
],
"retryable": true
},
"request_id": "<string>",
"schema_version": "2026-09-22"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": [
"<string>"
],
"retryable": true
},
"request_id": "<string>",
"schema_version": "2026-09-22"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": [
"<string>"
],
"retryable": true
},
"request_id": "<string>",
"schema_version": "2026-09-22"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": [
"<string>"
],
"retryable": true
},
"request_id": "<string>",
"schema_version": "2026-09-22"
}REST endpoints
Update a customer webhook endpoint
PATCH
/
webhook-endpoints
/
{id}
Update a customer webhook endpoint
curl --request PATCH \
--url https://gmapscrawl.com/api/v1/webhook-endpoints/{id} \
--header 'API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"event_types": [],
"description": "<string>"
}
'import requests
url = "https://gmapscrawl.com/api/v1/webhook-endpoints/{id}"
payload = {
"url": "<string>",
"event_types": [],
"description": "<string>"
}
headers = {
"API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', event_types: [], description: '<string>'})
};
fetch('https://gmapscrawl.com/api/v1/webhook-endpoints/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {},
"request_id": "<string>",
"schema_version": "2026-09-22"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": [
"<string>"
],
"retryable": true
},
"request_id": "<string>",
"schema_version": "2026-09-22"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": [
"<string>"
],
"retryable": true
},
"request_id": "<string>",
"schema_version": "2026-09-22"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": [
"<string>"
],
"retryable": true
},
"request_id": "<string>",
"schema_version": "2026-09-22"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": [
"<string>"
],
"retryable": true
},
"request_id": "<string>",
"schema_version": "2026-09-22"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": [
"<string>"
],
"retryable": true
},
"request_id": "<string>",
"schema_version": "2026-09-22"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": [
"<string>"
],
"retryable": true
},
"request_id": "<string>",
"schema_version": "2026-09-22"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": [
"<string>"
],
"retryable": true
},
"request_id": "<string>",
"schema_version": "2026-09-22"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": [
"<string>"
],
"retryable": true
},
"request_id": "<string>",
"schema_version": "2026-09-22"
}Authorizations
ApiKeyBearerApiKey
Path Parameters
Body
application/json
Maximum string length:
2048Required array length:
1 - 6 elementsAvailable options:
scrape.started, scrape.progress, scrape.completed, scrape.failed, scrape.canceled, export.ready Required string length:
1 - 200Available options:
active, paused ⌘I